Package de.gebit.integrity.ui.highlighting

## Class DSLHighlightingConfiguration

- java.lang.Object
- - org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration
  - - de.gebit.integrity.ui.highlighting.DSLHighlightingConfiguration

- All Implemented Interfaces:
    `org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfiguration`

      public class DSLHighlightingConfiguration
      extends org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration

  Custom highlighting configuration.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONSTANT_VALUE_ID` | The ID for constant, predefined values (like "true" or "false").
    `static String` | `DOCUMENTATION_COMMENT_ID` | The ID for IntegrityDoc comments.
    `static String` | `JAVA_CLASS_HIGHLIGHT_ID` | The ID for Java classes (highlighted parts).
    `static String` | `JAVA_CLASS_ID` | The ID for Java classes.
    `static String` | `JAVA_METHOD_HIGHLIGHT_ID` | The ID for Java method names (highlighted parts).
    `static String` | `NESTED_OBJECT_KEY_ID` | The ID for nested object keys.
    `static String` | `PACKAGE_PREFIX_ID` | The ID for package prefixes.
    `static String` | `PARAMETER_CONSTANT_VALUE_ID` | The ID for constant, predefined values (like "true" or "false") used as a parameter.
    `static String` | `PARAMETER_DATE_TIME_ID` | The ID for date/time used as a parameter.
    `static String` | `PARAMETER_NAME_ID` | The ID for parameters.
    `static String` | `PARAMETER_NESTED_OBJECT_ID` | The ID for nested objects used as a parameter.
    `static String` | `PARAMETER_NESTED_OBJECT_KEY_ID` | The ID for nested object keys used as a parameter.
    `static String` | `PARAMETER_NUMBER_ID` | The ID for numbers used as a parameter.
    `static String` | `PARAMETER_OPERATION_ID` | The ID for operations used as a parameter.
    `static String` | `PARAMETER_OPERATION_IDENTIFIER_ID` | The ID for the operation identifier used as a parameter.
    `static String` | `PARAMETER_REGEX_ID` | The ID for strings used as a parameter.
    `static String` | `PARAMETER_STRING_ID` | The ID for strings used as a parameter.
    `static String` | `PARAMETER_VARIABLE_VALUE_ID` | The ID for variables used as a parameter.
    `static String` | `REGEX_ID` | The ID for regexes.
    `static String` | `RESULT_CONSTANT_VALUE_ID` | The ID for constant, predefined values (like "true" or "false") used as a test result.
    `static String` | `RESULT_DATE_TIME_ID` | The ID for date/time used as a test result.
    `static String` | `RESULT_NAME_ID` | The ID for parameters.
    `static String` | `RESULT_NESTED_OBJECT_ID` | The ID for nested objects used as a test result.
    `static String` | `RESULT_NESTED_OBJECT_KEY_ID` | The ID for nested object keys used as a test result.
    `static String` | `RESULT_NUMBER_ID` | The ID for numbers used as a test result.
    `static String` | `RESULT_OPERATION_ID` | The ID for operations used as a test result.
    `static String` | `RESULT_OPERATION_IDENTIFIER_ID` | The ID for the operation identifier used as a result.
    `static String` | `RESULT_REGEX_ID` | The ID for strings used as a test result.
    `static String` | `RESULT_STRING_ID` | The ID for strings used as a test result.
    `static String` | `RESULT_VARIABLE_VALUE_ID` | The ID for variables used as a test result.
    `static String` | `VARIABLE_VALUE_ID` | The ID for variables used as a test result.
    `static String` | `VISIBLE_COMMENT_ID` | The ID for visible comments.
    `static String` | `VISIBLE_DIVIDER_ID` | The ID for visible dividers.
    `static String` | `VISIBLE_TITLE_COMMENT_ID` | The ID for visible title comments.

    - ### Fields inherited from class org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration

      `COMMENT_ID, DEFAULT_ID, INVALID_TOKEN_ID, KEYWORD_ID, NUMBER_ID, PUNCTUATION_ID, STRING_ID, TASK_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLHighlightingConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configure​(org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfigurationAcceptor anAcceptor)` | Configures highlighting styles for the IDs.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `constantValueTextStyle()` | Creates a text style to use for constant values.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `documentationCommentTextStyle()` | Creates a text style to use for documentation comments.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `javaClassHighlightTextStyle()` | Creates a text style used for Java classes (highlighted parts).
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `javaClassTextStyle()` | Creates a text style used for Java classes.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `javaMethodHighlightTextStyle()` | Creates a text style used for Java classes (highlighted parts).
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `nestedObjectKeyTextStyle()` | Creates a text style to use for nested objects used neither as parameter nor result.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `numberTextStyle()` |
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `packageTextStyle()` | Creates a text style to use for packages.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `parameterConstantValueTextStyle()` | Creates a text style to use for constant values used as parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `parameterDateTimeTextStyle()` | Creates a text style to use for strings used as parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `parameterNameTextStyle()` | Creates a text style to use for parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `parameterNestedObjectKeyTextStyle()` | Creates a text style to use for nested objects used as parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `parameterNestedObjectTextStyle()` | Creates a text style to use for nested objects used as parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `parameterNumberTextStyle()` | Creates a text style to use for numbers used as test or call parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `parameterOperationIdentifierTextStyle()` | Creates a text style to use for operation identifiers used as parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `parameterOperationTextStyle()` | Creates a text style to use for operations used as parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `parameterRegexTextStyle()` | Creates a text style to use for regex used as parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `parameterStringTextStyle()` | Creates a text style to use for strings used as parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `parameterVariableValueTextStyle()` | Creates a text style to use for variables used as parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `regexTextStyle()` | Creates a text style to use for regexes.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `resultConstantValueTextStyle()` | Creates a text style to use for constant values used as test results.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `resultDateTimeTextStyle()` | Creates a text style to use for strings used as test results.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `resultNameTextStyle()` | Creates a text style to use for parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `resultNestedObjectKeyTextStyle()` | Creates a text style to use for nested objects used as test results.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `resultNestedObjectTextStyle()` | Creates a text style to use for nested objects used as test results.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `resultNumberTextStyle()` | Creates a text style to use for numbers used as test results.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `resultOperationIdentifierTextStyle()` | Creates a text style to use for operation identifiers used as test results.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `resultOperationTextStyle()` | Creates a text style to use for operations used as test results.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `resultRegexTextStyle()` | Creates a text style to use for regex used as test results.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `resultStringTextStyle()` | Creates a text style to use for strings used as test results.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `resultVariableValueTextStyle()` | Creates a text style to use for variables used as test results.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `stringTextStyle()` |
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `variableValueTextStyle()` | Creates a text style to use for variable values.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `visibleCommentTextStyle()` | Creates a text style to use for visible comments.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `visibleDividerTextStyle()` | Creates a text style to use for visible dividers.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `visibleTitleCommentTextStyle()` | Creates a text style to use for visible title comments.

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration

      `commentTextStyle, defaultTextStyle, errorTextStyle, keywordTextStyle, punctuationTextStyle, taskTextStyle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VISIBLE_COMMENT_ID

          public static final String VISIBLE_COMMENT_ID

      The ID for visible comments.
      See Also:
        Constant Field Values

    - #### VISIBLE_TITLE_COMMENT_ID

          public static final String VISIBLE_TITLE_COMMENT_ID

      The ID for visible title comments.
      See Also:
        Constant Field Values

    - #### DOCUMENTATION_COMMENT_ID

          public static final String DOCUMENTATION_COMMENT_ID

      The ID for IntegrityDoc comments.
      See Also:
        Constant Field Values

    - #### VISIBLE_DIVIDER_ID

          public static final String VISIBLE_DIVIDER_ID

      The ID for visible dividers.
      See Also:
        Constant Field Values

    - #### CONSTANT_VALUE_ID

          public static final String CONSTANT_VALUE_ID

      The ID for constant, predefined values (like "true" or "false").
      See Also:
        Constant Field Values

    - #### PARAMETER_NAME_ID

          public static final String PARAMETER_NAME_ID

      The ID for parameters.
      See Also:
        Constant Field Values

    - #### RESULT_NAME_ID

          public static final String RESULT_NAME_ID

      The ID for parameters.
      See Also:
        Constant Field Values

    - #### PACKAGE_PREFIX_ID

          public static final String PACKAGE_PREFIX_ID

      The ID for package prefixes.
      See Also:
        Constant Field Values

    - #### RESULT_CONSTANT_VALUE_ID

          public static final String RESULT_CONSTANT_VALUE_ID

      The ID for constant, predefined values (like "true" or "false") used as a test result.
      See Also:
        Constant Field Values

    - #### PARAMETER_CONSTANT_VALUE_ID

          public static final String PARAMETER_CONSTANT_VALUE_ID

      The ID for constant, predefined values (like "true" or "false") used as a parameter.
      See Also:
        Constant Field Values

    - #### RESULT_NUMBER_ID

          public static final String RESULT_NUMBER_ID

      The ID for numbers used as a test result.
      See Also:
        Constant Field Values

    - #### PARAMETER_NUMBER_ID

          public static final String PARAMETER_NUMBER_ID

      The ID for numbers used as a parameter.
      See Also:
        Constant Field Values

    - #### RESULT_STRING_ID

          public static final String RESULT_STRING_ID

      The ID for strings used as a test result.
      See Also:
        Constant Field Values

    - #### RESULT_REGEX_ID

          public static final String RESULT_REGEX_ID

      The ID for strings used as a test result.
      See Also:
        Constant Field Values

    - #### PARAMETER_STRING_ID

          public static final String PARAMETER_STRING_ID

      The ID for strings used as a parameter.
      See Also:
        Constant Field Values

    - #### PARAMETER_REGEX_ID

          public static final String PARAMETER_REGEX_ID

      The ID for strings used as a parameter.
      See Also:
        Constant Field Values

    - #### VARIABLE_VALUE_ID

          public static final String VARIABLE_VALUE_ID

      The ID for variables used as a test result.
      See Also:
        Constant Field Values

    - #### RESULT_VARIABLE_VALUE_ID

          public static final String RESULT_VARIABLE_VALUE_ID

      The ID for variables used as a test result.
      See Also:
        Constant Field Values

    - #### PARAMETER_VARIABLE_VALUE_ID

          public static final String PARAMETER_VARIABLE_VALUE_ID

      The ID for variables used as a parameter.
      See Also:
        Constant Field Values

    - #### RESULT_DATE_TIME_ID

          public static final String RESULT_DATE_TIME_ID

      The ID for date/time used as a test result.
      See Also:
        Constant Field Values

    - #### PARAMETER_DATE_TIME_ID

          public static final String PARAMETER_DATE_TIME_ID

      The ID for date/time used as a parameter.
      See Also:
        Constant Field Values

    - #### JAVA_CLASS_ID

          public static final String JAVA_CLASS_ID

      The ID for Java classes.
      See Also:
        Constant Field Values

    - #### JAVA_CLASS_HIGHLIGHT_ID

          public static final String JAVA_CLASS_HIGHLIGHT_ID

      The ID for Java classes (highlighted parts).
      See Also:
        Constant Field Values

    - #### JAVA_METHOD_HIGHLIGHT_ID

          public static final String JAVA_METHOD_HIGHLIGHT_ID

      The ID for Java method names (highlighted parts).
      See Also:
        Constant Field Values

    - #### RESULT_OPERATION_ID

          public static final String RESULT_OPERATION_ID

      The ID for operations used as a test result.
      See Also:
        Constant Field Values

    - #### PARAMETER_OPERATION_ID

          public static final String PARAMETER_OPERATION_ID

      The ID for operations used as a parameter.
      See Also:
        Constant Field Values

    - #### RESULT_OPERATION_IDENTIFIER_ID

          public static final String RESULT_OPERATION_IDENTIFIER_ID

      The ID for the operation identifier used as a result.
      See Also:
        Constant Field Values

    - #### PARAMETER_OPERATION_IDENTIFIER_ID

          public static final String PARAMETER_OPERATION_IDENTIFIER_ID

      The ID for the operation identifier used as a parameter.
      See Also:
        Constant Field Values

    - #### RESULT_NESTED_OBJECT_ID

          public static final String RESULT_NESTED_OBJECT_ID

      The ID for nested objects used as a test result.
      See Also:
        Constant Field Values

    - #### PARAMETER_NESTED_OBJECT_ID

          public static final String PARAMETER_NESTED_OBJECT_ID

      The ID for nested objects used as a parameter.
      See Also:
        Constant Field Values

    - #### RESULT_NESTED_OBJECT_KEY_ID

          public static final String RESULT_NESTED_OBJECT_KEY_ID

      The ID for nested object keys used as a test result.
      See Also:
        Constant Field Values

    - #### PARAMETER_NESTED_OBJECT_KEY_ID

          public static final String PARAMETER_NESTED_OBJECT_KEY_ID

      The ID for nested object keys used as a parameter.
      See Also:
        Constant Field Values

    - #### NESTED_OBJECT_KEY_ID

          public static final String NESTED_OBJECT_KEY_ID

      The ID for nested object keys.
      See Also:
        Constant Field Values

    - #### REGEX_ID

          public static final String REGEX_ID

      The ID for regexes.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DSLHighlightingConfiguration

          public DSLHighlightingConfiguration()

  - ### Method Detail

    - #### configure

          public void configure​(org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfigurationAcceptor anAcceptor)

      Configures highlighting styles for the IDs.
      Specified by:
        `configure` in interface `org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfiguration`
      Overrides:
        `configure` in class `org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration`

    - #### stringTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle stringTextStyle()

      Overrides:
        `stringTextStyle` in class `org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration`

    - #### regexTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle regexTextStyle()

      Creates a text style to use for regexes.
      Returns:

    - #### visibleCommentTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle visibleCommentTextStyle()

      Creates a text style to use for visible comments.
      Returns:
        the style

    - #### visibleTitleCommentTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle visibleTitleCommentTextStyle()

      Creates a text style to use for visible title comments.
      Returns:
        the style

    - #### documentationCommentTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle documentationCommentTextStyle()

      Creates a text style to use for documentation comments.
      Returns:
        the style

    - #### visibleDividerTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle visibleDividerTextStyle()

      Creates a text style to use for visible dividers.
      Returns:
        the style

    - #### parameterNameTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle parameterNameTextStyle()

      Creates a text style to use for parameters.
      Returns:
        the style

    - #### resultNameTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle resultNameTextStyle()

      Creates a text style to use for parameters.
      Returns:
        the style

    - #### packageTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle packageTextStyle()

      Creates a text style to use for packages.
      Returns:
        the style

    - #### numberTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle numberTextStyle()

      Overrides:
        `numberTextStyle` in class `org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration`

    - #### resultNumberTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle resultNumberTextStyle()

      Creates a text style to use for numbers used as test results.
      Returns:

    - #### parameterNumberTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle parameterNumberTextStyle()

      Creates a text style to use for numbers used as test or call parameters.
      Returns:

    - #### resultStringTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle resultStringTextStyle()

      Creates a text style to use for strings used as test results.
      Returns:

    - #### parameterStringTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle parameterStringTextStyle()

      Creates a text style to use for strings used as parameters.
      Returns:

    - #### resultRegexTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle resultRegexTextStyle()

      Creates a text style to use for regex used as test results.
      Returns:

    - #### parameterRegexTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle parameterRegexTextStyle()

      Creates a text style to use for regex used as parameters.
      Returns:

    - #### resultDateTimeTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle resultDateTimeTextStyle()

      Creates a text style to use for strings used as test results.
      Returns:

    - #### parameterDateTimeTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle parameterDateTimeTextStyle()

      Creates a text style to use for strings used as parameters.
      Returns:

    - #### constantValueTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle constantValueTextStyle()

      Creates a text style to use for constant values.
      Returns:

    - #### resultConstantValueTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle resultConstantValueTextStyle()

      Creates a text style to use for constant values used as test results.
      Returns:

    - #### parameterConstantValueTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle parameterConstantValueTextStyle()

      Creates a text style to use for constant values used as parameters.
      Returns:

    - #### variableValueTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle variableValueTextStyle()

      Creates a text style to use for variable values.
      Returns:

    - #### resultVariableValueTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle resultVariableValueTextStyle()

      Creates a text style to use for variables used as test results.
      Returns:

    - #### parameterVariableValueTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle parameterVariableValueTextStyle()

      Creates a text style to use for variables used as parameters.
      Returns:

    - #### javaClassTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle javaClassTextStyle()

      Creates a text style used for Java classes.
      Returns:

    - #### javaClassHighlightTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle javaClassHighlightTextStyle()

      Creates a text style used for Java classes (highlighted parts).
      Returns:

    - #### javaMethodHighlightTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle javaMethodHighlightTextStyle()

      Creates a text style used for Java classes (highlighted parts).
      Returns:

    - #### resultOperationTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle resultOperationTextStyle()

      Creates a text style to use for operations used as test results.
      Returns:

    - #### parameterOperationTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle parameterOperationTextStyle()

      Creates a text style to use for operations used as parameters.
      Returns:

    - #### resultOperationIdentifierTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle resultOperationIdentifierTextStyle()

      Creates a text style to use for operation identifiers used as test results.
      Returns:

    - #### parameterOperationIdentifierTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle parameterOperationIdentifierTextStyle()

      Creates a text style to use for operation identifiers used as parameters.
      Returns:

    - #### resultNestedObjectTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle resultNestedObjectTextStyle()

      Creates a text style to use for nested objects used as test results.
      Returns:

    - #### parameterNestedObjectTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle parameterNestedObjectTextStyle()

      Creates a text style to use for nested objects used as parameters.
      Returns:

    - #### resultNestedObjectKeyTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle resultNestedObjectKeyTextStyle()

      Creates a text style to use for nested objects used as test results.
      Returns:

    - #### parameterNestedObjectKeyTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle parameterNestedObjectKeyTextStyle()

      Creates a text style to use for nested objects used as parameters.
      Returns:

    - #### nestedObjectKeyTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle nestedObjectKeyTextStyle()

      Creates a text style to use for nested objects used neither as parameter nor result.
      Returns: